<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">GameStateService Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classGameStateService.html">GameStateService</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classGameStateService.html#a8fca38486fee8a9d6eecff3a7aea9db9">amIHost</a>()</td><td class="entry"><a class="el" href="classGameStateService.html">GameStateService</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGameStateService.html#ac41ea5b69e55d35e2a02b1f062a76209">amINarrator</a>()</td><td class="entry"><a class="el" href="classGameStateService.html">GameStateService</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGameStateService.html#a78f78fe96322236de93a75b703b69d06">endGameStateFetchLoop</a>()</td><td class="entry"><a class="el" href="classGameStateService.html">GameStateService</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGameStateService.html#aab8e797b2ea6860fb9760bf45c57ead3">fetchGameState</a>()</td><td class="entry"><a class="el" href="classGameStateService.html">GameStateService</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGameStateService.html#ab863ee6c2cf6f575b1e7efd37ffc5130">gameId</a>()</td><td class="entry"><a class="el" href="classGameStateService.html">GameStateService</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGameStateService.html#af6d736750d7258003dd40ba7b195acf0">gameState</a></td><td class="entry"><a class="el" href="classGameStateService.html">GameStateService</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGameStateService.html#a6f9e21cf229558b2e6bf4d1b8387e1e5">gameStateChanged</a>()</td><td class="entry"><a class="el" href="classGameStateService.html">GameStateService</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGameStateService.html#aed87f6a206fe2c3f582114c1a74d13c0">gameStateFetchLoop</a></td><td class="entry"><a class="el" href="classGameStateService.html">GameStateService</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGameStateService.html#afe7ace63d568f4793becce8bf7878cee">GameStateService</a>(QObject *parent=nullptr)</td><td class="entry"><a class="el" href="classGameStateService.html">GameStateService</a></td><td class="entry"><span class="mlabel">explicit</span><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGameStateService.html#af20dc709a18caf26f309e3c322beb631">getInstance</a>()</td><td class="entry"><a class="el" href="classGameStateService.html">GameStateService</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGameStateService.html#ab9fb25e0541254a36ffb427556c5f679">isPlayerHost</a>(int id)</td><td class="entry"><a class="el" href="classGameStateService.html">GameStateService</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGameStateService.html#ab26b5943500b865b45f1cabcca04a987">myId</a>()</td><td class="entry"><a class="el" href="classGameStateService.html">GameStateService</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGameStateService.html#afcd6b65d079f8df18a23b7d733f2bf3d">prevGameState</a></td><td class="entry"><a class="el" href="classGameStateService.html">GameStateService</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGameStateService.html#a57fc7f3b4087fe4e5d3c285df292a8ad">settingsService</a></td><td class="entry"><a class="el" href="classGameStateService.html">GameStateService</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGameStateService.html#a555300141e7bdb82a810250102331ef0">startGameStateFetchLoop</a>()</td><td class="entry"><a class="el" href="classGameStateService.html">GameStateService</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
